%define name radeon-firmware
%define version 20110310
%define release %mkrel 1

Summary: ATI R600/R700/Evergreen/Fusion Firmware
Name:	 %{name}
Version: %{version}
Release: %{release}
# extracted from git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
# all files in radeon/ dir excluding the files in kernel-firmware
Source0: %{name}-%{version}.tar.xz
License: Proprietary
Group:	 System/Kernel and hardware
Url:	 http://ati.amd.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Obsoletes: radeon-rlc-firmware
Conflicts: kernel-firmware-extra < 20110310-1

%description
This is Ati Radeon R600/R700/Evergreen (HD5xxx)/Fusion firmware needed
for IRQ handling. It's needed for R600/R700/Evergreen/Fusion KMS support
beginning with 2.6.33 series kernels.

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware/radeon
install -m644 *.bin %{buildroot}/lib/firmware/radeon/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.*
/lib/firmware/radeon/*.bin


%changelog
* Tue Mar 22 2011 Thomas Backlund <tmb@mandriva.org> 20110310-1mdv2011.0
+ Revision: 647608
- ship all radeon firmwares from kernel-firmware-extra separately
  to avoid requires on kernel-firmware-extra for radeon users
- rename to radeon-firmare

* Fri Feb 04 2011 Thomas Backlund <tmb@mandriva.org> 1-5
+ Revision: 635982
- add BTC rlc firmware

* Thu Dec 30 2010 Thomas Backlund <tmb@mandriva.org> 1-4mdv2011.0
+ Revision: 626440
- Add Fusion SUMO rlc firmware

* Sat May 01 2010 Thomas Backlund <tmb@mandriva.org> 1-3mdv2010.1
+ Revision: 541453
- update summary and description to include Evergreen

* Sat May 01 2010 Thomas Backlund <tmb@mandriva.org> 1-2mdv2010.1
+ Revision: 541446
- add Evergreen (HD5xxx) rlc firmare

* Sat Dec 19 2009 Thomas Backlund <tmb@mandriva.org> 1-1mdv2010.1
+ Revision: 480212
- initial release
- Created package structure for radeon-rlc-firmware.

